﻿using System.Text;

using Newtonsoft.Json;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    static async Task Main()
    {
        using HttpClient httpClient = new HttpClient();

        httpClient.BaseAddress = new Uri("http://localhost:11434");

        RequestMessage requestMessage = new() { Model = "llama3", Prompt = "Hello, how are you?" };

        StringContent stringContent = new
        (
            JsonConvert.SerializeObject(requestMessage),
            Encoding.UTF8,
            "application/json"
        );

        HttpResponseMessage httpResponseMessage = await httpClient.PostAsync("/api/generate", stringContent);

        string responseString = await httpResponseMessage.Content.ReadAsStringAsync();

        Console.WriteLine(responseString);
    }

    #endregion
}